@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');

body {
	margin: 0;
	background-color: #DBDFF4;
    height: 100vh;
    font-family: 'Figtree';
    overflow: hidden;
}

#global-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;
    width: 50%;
    margin: 0 auto;
    height: 90vh;
}

.social-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 50px;
    border: 2px solid white;
    padding: 10px; 
    margin-bottom: 30px;
}

.icon {
    height: 30px;
    margin: 0 10px;
    vertical-align: middle;
    transition: transform 0.3s ease, filter 0.3s ease;
}

.icon:hover {
    transform: scale(1.2);
    filter: brightness(1.5);
}

.portfolio-title {
    color: var(--color-primary);
    font-size: 100px;
    margin: 0;
    font-weight: 400;
    font-family: 'Figtree';
}

.cthyllax-title {
    background: linear-gradient(135deg, var(--color-blue), var(--color-pink));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 100px;
    margin: 0;
    font-weight: 400;
    font-family: 'Figtree';
    margin-left: 20%;
}

p {
    font-size: 20px;
    color: var(--color-primary);
    margin-left: 20%;
}

.button {
    display: inline-block;
    text-decoration: none;
    margin-left: 20%;
}

.button button {
    position: relative;
    overflow: hidden;
    font-family: 'Figtree';
    font-size: 20px;
    background-color: var(--color-primary);
    margin-top: 30px;
    padding: 10px 50px;
    display: block;
    border-radius: 10px;
    border: 2px solid var(--color-primary);
    cursor: pointer;
    transition-duration: 0.2s;
    color: white;
    width: 210px;
}

.button button:hover {
    background-color: rgba(60, 61, 72, 0.5);
}

@media only screen and (max-width: 700px) {
    body {
        overflow: auto;
    }

    p {
        font-size: 16px;
        margin-left: 0;
    }

    .button {
        margin-left: 0;
    }

    .button button {
        font-size: 16px;
        width: 165px;
    }

    .cthyllax-title {
        margin-left: 0;
    } 

    #global-content {
        min-height: 70vh;
        width: 80%;
    }

    .portfolio-title, .cthyllax-title {
        font-size: 60px;
    }

    .icon {
        height: 22px;
    }
}